<?xml version="1.0" encoding="UTF-8"?>
<metadata>
  <!--
  This sample removes the class: android.support.v4.content.AsyncTaskLoader.LoadTask:
  <remove-node path="/api/package[@name='android.support.v4.content']/class[@name='AsyncTaskLoader.LoadTask']" />

  This sample removes the method: android.support.v4.content.CursorLoader.loadInBackground:
  <remove-node path="/api/package[@name='android.support.v4.content']/class[@name='CursorLoader']/method[@name='loadInBackground']" />
  -->

	<remove-node path="/api/package[starts-with(@name, 'org.spongycastle')]" />
	<remove-node path="/api/package[starts-with(@name, 'com.google.gson')]" />
	<remove-node path="/api/package[starts-with(@name, 'org.apache')]" />

  <remove-node path="/api/package[starts-with(@name, 'android.print')]" />

  <remove-node path="/api/package[starts-with(@name, 'com.pdftron.pdf.adapter')]" />
  <remove-node path="/api/package[starts-with(@name, 'com.pdftron.pdf.widget.recyclerview')]" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.utils']/class[@name='BasicHTTPDownloadTask']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.utils']/class[@name='UserCropUtilities']" />

  <remove-node path="/api/package[@name='com.pdftron.pdf.asynctask']/class[@name='GenerateHighlightsTask']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.asynctask']/class[@name='GeneratePagesTask']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.asynctask']/class[@name='GetTextInPageTask']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.asynctask']/class[@name='HtmlPostProcessColorTask']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.asynctask']/class[@name='LoadFontAsyncTask']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.asynctask']/class[@name='PopulateAnnotationInfoListTask']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.asynctask']/class[@name='PopulateUserBookmarkListTask']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.asynctask']/class[@name='LoadSystemFontAsyncTask']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.asynctask']/class[@name='PDFDocLoaderTask']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.asynctask']/class[@name='CreateBitmapFromCustomStampTask']" />

  <remove-node path="/api/package[@name='com.pdftron.pdf.widget']/class[@name='AutoScrollEditText']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.widget']/class[@name='ForegroundCoordinatorLayout']" />
  <remove-node path="/api/package[@name='com.pdftron.pdf.widget']/class[@name='ForegroundLayout']" />

  <add-node path="/api/package[@name='com.pdftron.pdf.asynctask']">
    <class abstract="false" deprecated="not deprecated" final="false" name="FindTextTask" static="true" visibility="public" extends="java.lang.Object">
    </class>
  </add-node>

  <remove-node path="/api/package[starts-with(@name, 'com.rarepebble.colorpicker')]" />

  <attr path="/api/package[@name='com.pdftron.pdf.dialog']/class[@name='BookmarksDialogFragment']/method[@name='setBookmarksDialogListener']" name="eventName">BookmarksDialogDismissed</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/class[@name='UserBookmarkDialogFragment']/method[@name='setUserBookmarkListener']" name="eventName">UserBookmarkClicked</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/class[@name='OutlineDialogFragment']/method[@name='setOutlineDialogListener']" name="eventName">OutlineClicked</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/class[@name='AnnotManager']/method[@name='setAnnotationSyncingListener']" name="eventName">LocalChanged</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/class[@name='AnnotationToolbar']"
    name="managedName">NativeAnnotationToolbar</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/class[@name='ThumbnailSlider']"
    name="managedName">NativeThumbnailSlider</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/class[@name='ReflowControl']"
    name="managedName">NativeReflowControl</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/class[@name='FindTextOverlay']"
    name="managedName">NativeFindTextOverlay</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/class[@name='SearchToolbar']"
    name="managedName">NativeSearchToolbar</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/class[@name='CustomRelativeLayout']"
    name="managedName">NativeCustomRelativeLayout</attr>

  <!--change parameter name-->
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onNightModeUpdated']/parameter[@name='p0']" name="managedName">isNightMode</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onKeyUp']/parameter[@name='p0']" name="managedName">keyCode</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onKeyUp']/parameter[@name='p1']" name="managedName">event</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onDoubleTap']/parameter[@name='p0']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onDoubleTapEnd']/parameter[@name='p0']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onDoubleTapEvent']/parameter[@name='p0']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onDown']/parameter[@name='p0']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onUp']/parameter[@name='p0']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onUp']/parameter[@name='p1']" name="managedName">priorEventMode</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onLayout']/parameter[@name='p0']" name="managedName">changed</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onLayout']/parameter[@name='p1']" name="managedName">left</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onLayout']/parameter[@name='p2']" name="managedName">top</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onLayout']/parameter[@name='p3']" name="managedName">right</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onLayout']/parameter[@name='p4']" name="managedName">bottom</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onLongPress']/parameter[@name='p0']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onScaleBegin']/parameter[@name='p0']" name="managedName">x</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onScaleBegin']/parameter[@name='p1']" name="managedName">y</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onScale']/parameter[@name='p0']" name="managedName">x</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onScale']/parameter[@name='p1']" name="managedName">y</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onScaleEnd']/parameter[@name='p0']" name="managedName">x</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onScaleEnd']/parameter[@name='p1']" name="managedName">y</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onSingleTapConfirmed']/parameter[@name='p1']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onMove']/parameter[@name='p0']" name="managedName">e1</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onMove']/parameter[@name='p1']" name="managedName">e2</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onMove']/parameter[@name='p2']" name="managedName">xDist</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onMove']/parameter[@name='p3']" name="managedName">yDist</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onScrollChanged']/parameter[@name='p0']" name="managedName">left</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onScrollChanged']/parameter[@name='p1']" name="managedName">top</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onScrollChanged']/parameter[@name='p2']" name="managedName">oldLeft</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onScrollChanged']/parameter[@name='p3']" name="managedName">oldTop</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onShowPress']/parameter[@name='p0']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onSingleTapUp']/parameter[@name='p0']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onConfigurationChanged']/parameter[@name='p0']" name="managedName">newConfig</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onPageTurning']/parameter[@name='p0']" name="managedName">oldPage</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onPageTurning']/parameter[@name='p1']" name="managedName">curPage</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onDocumentDownloadEvent']/parameter[@name='p0']" name="managedName">state</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onDocumentDownloadEvent']/parameter[@name='p1']" name="managedName">pageNum</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onDocumentDownloadEvent']/parameter[@name='p2']" name="managedName">pageDownloaded</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onDocumentDownloadEvent']/parameter[@name='p3']" name="managedName">pageCount</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onDocumentDownloadEvent']/parameter[@name='p4']" name="managedName">message</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onDraw']/parameter[@name='p0']" name="managedName">canvas</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.Tool']/method[@name='onDraw']/parameter[@name='p1']" name="managedName">tfm</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.ToolChangedListener']/method[@name='toolChanged']/parameter[@name='p0']" name="managedName">newTool</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.ToolChangedListener']/method[@name='toolChanged']/parameter[@name='p1']" name="managedName">oldTool</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.OnLayoutListener']/method[@name='onLayout']/parameter[@name='p0']" name="managedName">changed</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.OnLayoutListener']/method[@name='onLayout']/parameter[@name='p1']" name="managedName">left</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.OnLayoutListener']/method[@name='onLayout']/parameter[@name='p2']" name="managedName">top</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.OnLayoutListener']/method[@name='onLayout']/parameter[@name='p3']" name="managedName">right</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.OnLayoutListener']/method[@name='onLayout']/parameter[@name='p4']" name="managedName">bottom</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onSingleTapConfirmed']/parameter[@name='p0']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onMove']/parameter[@name='p0']" name="managedName">e1</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onMove']/parameter[@name='p1']" name="managedName">e2</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onMove']/parameter[@name='p2']" name="managedName">xDist</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onMove']/parameter[@name='p3']" name="managedName">yDist</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onUp']/parameter[@name='p0']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onUp']/parameter[@name='p1']" name="managedName">priorEventMode</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onScaleBegin']/parameter[@name='p0']" name="managedName">x</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onScaleBegin']/parameter[@name='p1']" name="managedName">y</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onScale']/parameter[@name='p0']" name="managedName">x</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onScale']/parameter[@name='p1']" name="managedName">y</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onScaleEnd']/parameter[@name='p0']" name="managedName">x</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onScaleEnd']/parameter[@name='p1']" name="managedName">y</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onLongPress']/parameter[@name='p0']" name="managedName">e</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onScrollChanged']/parameter[@name='p0']" name="managedName">left</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onScrollChanged']/parameter[@name='p1']" name="managedName">top</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onScrollChanged']/parameter[@name='p2']" name="managedName">oldLeft</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onScrollChanged']/parameter[@name='p3']" name="managedName">oldTop</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PreToolManagerListener']/method[@name='onDoubleTap']/parameter[@name='p0']" name="managedName">e</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.QuickMenuListener']/method[@name='onQuickMenuClicked']/parameter[@name='p0']" name="managedName">menuItem</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PdfDocModificationListener']/method[@name='onPagesAdded']/parameter[@name='p0']" name="managedName">pageList</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PdfDocModificationListener']/method[@name='onPagesDeleted']/parameter[@name='p0']" name="managedName">pageList</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PdfDocModificationListener']/method[@name='onPagesRotated']/parameter[@name='p0']" name="managedName">pageList</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PdfDocModificationListener']/method[@name='onPageMoved']/parameter[@name='p0']" name="managedName">from</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.PdfDocModificationListener']/method[@name='onPageMoved']/parameter[@name='p1']" name="managedName">to</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AnnotationModificationListener']/method[@name='onAnnotationsAdded']/parameter[@name='p0']" name="managedName">annots</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AnnotationModificationListener']/method[@name='onAnnotationsPreModify']/parameter[@name='p0']" name="managedName">annots</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AnnotationModificationListener']/method[@name='onAnnotationsModified']/parameter[@name='p0']" name="managedName">annots</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AnnotationModificationListener']/method[@name='onAnnotationsModified']/parameter[@name='p1']" name="managedName">extra</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AnnotationModificationListener']/method[@name='onAnnotationsPreRemove']/parameter[@name='p0']" name="managedName">annots</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AnnotationModificationListener']/method[@name='onAnnotationsRemoved']/parameter[@name='p0']" name="managedName">annots</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AnnotationModificationListener']/method[@name='onAnnotationsRemovedOnPage']/parameter[@name='p0']" name="managedName">pageNum</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AnnotationModificationListener']/method[@name='annotationsCouldNotBeAdded']/parameter[@name='p0']" name="managedName">errorMessage</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.BasicAnnotationListener']/method[@name='onAnnotationSelected']/parameter[@name='p0']" name="managedName">annot</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.BasicAnnotationListener']/method[@name='onAnnotationSelected']/parameter[@name='p1']" name="managedName">pageNum</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.BasicAnnotationListener']/method[@name='onInterceptAnnotationHandling']/parameter[@name='p0']" name="managedName">annot</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.BasicAnnotationListener']/method[@name='onInterceptAnnotationHandling']/parameter[@name='p1']" name="managedName">extra</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.BasicAnnotationListener']/method[@name='onInterceptAnnotationHandling']/parameter[@name='p2']" name="managedName">toolMode</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.BasicAnnotationListener']/method[@name='onInterceptDialog']/parameter[@name='p0']" name="managedName">dialog</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AdvancedAnnotationListener']/method[@name='fileAttachmentSelected']/parameter[@name='p0']" name="managedName">attachment</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AdvancedAnnotationListener']/method[@name='imageStamperSelected']/parameter[@name='p0']" name="managedName">targetPoint</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AdvancedAnnotationListener']/method[@name='attachFileSelected']/parameter[@name='p0']" name="managedName">targetPoint</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='ToolManager.AnnotationToolbarListener']/method[@name='onInkEditSelected']/parameter[@name='p0']" name="managedName">annot</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='ThumbnailSlider.OnThumbnailSliderTrackingListener']/method[@name='onThumbSliderStopTrackingTouch']/parameter[@name='p0']" name="managedName">pageNum</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='ThumbnailSlider.OnMenuItemClickedListener']/method[@name='onMenuItemClicked']/parameter[@name='p0']" name="managedName">menuItemPosition</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='UserBookmarkDialogFragment.UserBookmarkDialogListener']/method[@name='onUserBookmarkClicked']/parameter[@name='p0']" name="managedName">pageNum</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='OutlineDialogFragment.OutlineDialogListener']/method[@name='onOutlineClicked']/parameter[@name='p0']" name="managedName">parent</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='OutlineDialogFragment.OutlineDialogListener']/method[@name='onOutlineClicked']/parameter[@name='p1']" name="managedName">bookmark</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='AnnotationDialogFragment.AnnotationDialogListener']/method[@name='onAnnotationClicked']/parameter[@name='p0']" name="managedName">annotation</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='AnnotationDialogFragment.AnnotationDialogListener']/method[@name='onAnnotationClicked']/parameter[@name='p1']" name="managedName">pageNum</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='AnnotationDialogFragment.AnnotationDialogListener']/method[@name='onExportAnnotations']/parameter[@name='p0']" name="managedName">outputDoc</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='BookmarksDialogFragment.BookmarksDialogListener']/method[@name='onBookmarksDialogDismissed']/parameter[@name='p0']" name="managedName">tabIndex</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='BookmarksTabLayout.BookmarksTabsListener']/method[@name='onUserBookmarkClick']/parameter[@name='p0']" name="managedName">pageNum</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='BookmarksTabLayout.BookmarksTabsListener']/method[@name='onOutlineClicked']/parameter[@name='p0']" name="managedName">parent</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='BookmarksTabLayout.BookmarksTabsListener']/method[@name='onOutlineClicked']/parameter[@name='p1']" name="managedName">bookmark</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='BookmarksTabLayout.BookmarksTabsListener']/method[@name='onAnnotationClicked']/parameter[@name='p0']" name="managedName">annotation</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='BookmarksTabLayout.BookmarksTabsListener']/method[@name='onAnnotationClicked']/parameter[@name='p1']" name="managedName">pageNum</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='BookmarksTabLayout.BookmarksTabsListener']/method[@name='onExportAnnotations']/parameter[@name='p0']" name="managedName">outputDoc</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='FindTextOverlay.FindTextOverlayListener']/method[@name='onGotoNextSearch']/parameter[@name='p0']" name="managedName">useFullTextResults</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='FindTextOverlay.FindTextOverlayListener']/method[@name='onGotoPreviousSearch']/parameter[@name='p0']" name="managedName">useFullTextResults</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='SearchToolbar.SearchToolbarListener']/method[@name='onSearchQuerySubmit']/parameter[@name='p0']" name="managedName">query</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='SearchToolbar.SearchToolbarListener']/method[@name='onSearchQueryChange']/parameter[@name='p0']" name="managedName">query</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='SearchToolbar.SearchToolbarListener']/method[@name='onSearchOptionsItemSelected']/parameter[@name='p0']" name="managedName">item</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='SearchToolbar.SearchToolbarListener']/method[@name='onSearchOptionsItemSelected']/parameter[@name='p1']" name="managedName">query</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='AnnotManager.AnnotationSyncingListener']/method[@name='onLocalChange']/parameter[@name='p0']" name="managedName">action</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.tools']/interface[@name='AnnotManager.AnnotationSyncingListener']/method[@name='onLocalChange']/parameter[@name='p1']" name="managedName">xfdfCommand</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.dialog']/interface[@name='ViewModePickerDialogFragment.ViewModePickerDialogFragmentListener']/method[@name='onViewModeSelected']/parameter[@name='p0']" name="managedName">viewMode</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.dialog']/interface[@name='ViewModePickerDialogFragment.ViewModePickerDialogFragmentListener']/method[@name='onViewModeColorSelected']/parameter[@name='p0']" name="managedName">colorMode</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.dialog']/interface[@name='ViewModePickerDialogFragment.ViewModePickerDialogFragmentListener']/method[@name='onCustomColorModeSelected']/parameter[@name='p0']" name="managedName">bgColor</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.dialog']/interface[@name='ViewModePickerDialogFragment.ViewModePickerDialogFragmentListener']/method[@name='onCustomColorModeSelected']/parameter[@name='p1']" name="managedName">txtColor</attr>
  
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='AddPageDialogFragment.OnCreateNewDocumentListener']/method[@name='onCreateNewDocument']/parameter[@name='p0']" name="managedName">pdfDoc</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='AddPageDialogFragment.OnCreateNewDocumentListener']/method[@name='onCreateNewDocument']/parameter[@name='p1']" name="managedName">title</attr>
  
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='AddPageDialogFragment.OnAddNewPagesListener']/method[@name='onAddNewPages']/parameter[@name='p0']" name="managedName">pages</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.interfaces']/interface[@name='OnCreateSignatureListener']/method[@name='onSignatureCreated']/parameter[@name='p0']" name="managedName">filepath</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.interfaces']/interface[@name='OnCreateSignatureListener']/method[@name='onSignatureFromImage']/parameter[@name='p0']" name="managedName">targetPoint</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.interfaces']/interface[@name='OnCreateSignatureListener']/method[@name='onSignatureFromImage']/parameter[@name='p1']" name="managedName">targetPage</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.interfaces']/interface[@name='OnCreateSignatureListener']/method[@name='onSignatureFromImage']/parameter[@name='p2']" name="managedName">widget</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.interfaces']/interface[@name='OnCreateSignatureListener']/method[@name='onAnnotStyleDialogFragmentDismissed']/parameter[@name='p0']" name="managedName">styleDialog</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='SearchResultsView.SearchResultsListener']/method[@name='onSearchResultClicked']/parameter[@name='p0']" name="managedName">result</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.controls']/interface[@name='SearchResultsView.SearchResultsListener']/method[@name='onSearchResultFound']/parameter[@name='p0']" name="managedName">result</attr>

  <attr path="/api/package[@name='com.pdftron.pdf.utils']/interface[@name='HTML2PDF.HTML2PDFListener']/method[@name='onConversionFinished']/parameter[@name='p0']" name="managedName">pdfOutput</attr>

  <!--change package name-->
	<attr path="/api/package[@name='com.pdftron.pdf.tools']" name="managedName">pdftron.PDF.Tools</attr>
	<attr path="/api/package[@name='com.pdftron.pdf.controls']" name="managedName">pdftron.PDF.Controls</attr>
	<attr path="/api/package[@name='com.pdftron.pdf.utils']" name="managedName">pdftron.PDF.Tools.Utils</attr>
	<attr path="/api/package[@name='com.pdftron.pdf.widget']" name="managedName">pdftron.PDF.Widget</attr>
	<attr path="/api/package[@name='com.pdftron.pdf.dialog']" name="managedName">pdftron.PDF.Dialog</attr>
	<attr path="/api/package[@name='com.pdftron.pdf.model']" name="managedName">pdftron.PDF.Model</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.config']" name="managedName">pdftron.PDF.Config</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.asynctask']" name="managedName">pdftron.PDF.AsyncTask</attr>
  <attr path="/api/package[@name='com.pdftron.pdf.interfaces']" name="managedName">pdftron.PDF.Interfaces</attr>

</metadata>